//
//  Shader.vsh
//  ES2TestGame
//
//  Created by Sunny Tam on 12-05-28.
//  Copyright (c) 2012 Tamcom. All rights reserved.
//
#version 100
attribute vec4 position;
attribute vec3 normal;
attribute vec4 colour;
attribute vec2 texture;

varying lowp vec4 colorVarying;
varying lowp vec2 textureVarying;
varying lowp vec2 v_blurTexCoords[14];
varying lowp float strengthVarying;

uniform mat4 modelViewProjectionMatrix;
uniform mat3 normalMatrix;
uniform float strength;
uniform float size;

void main()
{                
    colorVarying = colour;

    textureVarying  = texture;
	
    strengthVarying = strength;
	
    gl_Position = modelViewProjectionMatrix * position;
	
	v_blurTexCoords[ 0] = textureVarying + vec2(0.0, -0.028*size);
    v_blurTexCoords[ 1] = textureVarying + vec2(0.0, -0.024*size);
    v_blurTexCoords[ 2] = textureVarying + vec2(0.0, -0.020*size);
    v_blurTexCoords[ 3] = textureVarying + vec2(0.0, -0.016*size);
    v_blurTexCoords[ 4] = textureVarying + vec2(0.0, -0.012*size);
    v_blurTexCoords[ 5] = textureVarying + vec2(0.0, -0.008*size);
    v_blurTexCoords[ 6] = textureVarying + vec2(0.0, -0.004*size);
    v_blurTexCoords[ 7] = textureVarying + vec2(0.0,  0.004*size);
    v_blurTexCoords[ 8] = textureVarying + vec2(0.0,  0.008*size);
    v_blurTexCoords[ 9] = textureVarying + vec2(0.0,  0.012*size);
    v_blurTexCoords[10] = textureVarying + vec2(0.0,  0.016*size);
    v_blurTexCoords[11] = textureVarying + vec2(0.0,  0.020*size);
    v_blurTexCoords[12] = textureVarying + vec2(0.0,  0.024*size);
    v_blurTexCoords[13] = textureVarying + vec2(0.0,  0.028*size);
}
