//
//  Shader.vsh
//  ES2TestGame
//
//  Created by Sunny Tam on 12-05-28.
//  Copyright (c) 2012 Tamcom. All rights reserved.
//
#version 100
attribute vec4 position;
attribute vec3 normal;
attribute vec4 colour;
attribute vec2 texture;

varying lowp vec4 colorVarying;
varying lowp vec2 textureVarying;
varying lowp vec2 positionVarying;
varying lowp float abberationVarying;
varying lowp float distortTimeVarying;
varying lowp float distortSpeedVarying;
varying lowp float distortPowerVarying;

uniform mat4 modelViewProjectionMatrix;
uniform lowp float abberation;
uniform lowp float distortTime;
uniform lowp float distortSpeed;
uniform lowp float distortPower;

void main()
{           
    colorVarying = colour;
    
    textureVarying  = texture;

    abberationVarying = abberation;

	distortTimeVarying	= distortTime;
	
	distortSpeedVarying	= distortSpeed;
	
	distortPowerVarying	= distortPower;
	
    gl_Position = modelViewProjectionMatrix * position;
    
    positionVarying = gl_Position.xy;
    
}
